Re: glibmm ABI name for gtkmm 3

On Thu, 2010-05-20 at 11:07 +0200, Murray Cumming wrote:
> At the moment, I think we will just break glibmm ABI at a particular
> glibmm version and not attempt to wrap that version of glib for both
> glibmm ABIs.
> The current glib is 2.24. The next one will be glib 2.26, probably
> within 6 months. I suggest that glibmm 2.26 will wrap glib 2.6, without
> breaking ABI.
> Then glibmm 2.28 would break ABI and wrap glib 2.8.
> I think it's wroth waiting until glib 2.28 because I don't believe that
> GTK+ 3.0.0 (or GNOME 3) will be done within six months. But that's not
> the official GTK+ or GNOME opinion. If I am wrong then we can quickly
> adapt.
> In the meantime, so we can start work in a branch, we need some
> temporary ABI name that is obviously not something to consider stable. I
> suggest glibmm-2.26maybe . 

I have created the glibmm-3maybe branch, so we can make ABI-breaking
changes there. I've made some obvious small changes already.

But I have not yet changed the ABI name, so don't install it. At some
point soon I will change it and move glibmm-3maybe work to master.

murrayc murrayc com

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]